Subject: Re: Peat Moss substitute

From: [email-masked] (Dorothy Nichols)
Date: 28 May 1995 19:22:12 GMT

I use well aged compost from our local stable.  They even load it in our
truck free, and since it has a lot of sawdust in it I'll bet it has a low
pH.  This is the first year I'm growing a rhodie and I did use peat moss
with it, but the rest of the beds got about four inches of stable compost
tilled in about seven inches.
   Dorothy Nichols  [email-masked]

In article <[email-masked]>, [email-masked] says...
>
>Chris, Kaye and everybody else!
>
>I am glad to hear your opinions on this.  I saw a show on Television
>where one could see the "reaping" or shall I say "raping" of the
>bogs.  I cried.  It goes straight to the common sense center in
>the brain when one sees it.  I have purchased several
>sacks of Peat since I saw the show.  I have tried to push it
>down in my mind as I haven't found a good substitute for
>my Rhodes.  
>
>What other place could be better than here for people to get
>on their soap boxes!  I thankyou both for responding and I am
>looking for substitues as of now!!!  
>
>I welcome more ideas on substitues and ways to pamper the
>Rhodedendron.
>
>Sandra
>Stockholm
>